#!/usr/bin/python
# -*- coding: utf-8 -*-
# -----------------------------------------------------------------------
#    This file is part of WAPT
#    Copyright (C) 2013  Tranquil IT Systems http://www.tranquil.it
#    WAPT aims to help Windows systems administrators to deploy
#    setup and update applications on users PC.
#
#    WAPT is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    WAPT is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with WAPT.  If not, see <http://www.gnu.org/licenses/>.
#
# -----------------------------------------------------------------------
from setuphelpers import *

uninstallkey = []


def install():
    print('installing tis-innosetup')

    version = control['version'].split('-',1)[0]
    install_exe_if_needed("innosetup-%s.exe" % version,'/VERYSILENT /SUPPRESSMSGBOXES /NORESTART',key='Inno Setup 6_is1',min_version=version)

    # Kill at end of installation
    killalltasks('innosetup.exe')




def update_package():    
    try:
        import bs4 as BeautifulSoup
    except:
        import BeautifulSoup

    # Getting proxy informations from WAPT settings
    proxy = {}
    if isfile(makepath(application_data(),'waptconsole','waptconsole.ini')):
        proxywapt = inifile_readstring(makepath(user_local_appdata(),'waptconsole','waptconsole.ini'),'global','http_proxy')
        if proxywapt :
            proxy = {'http':proxywapt,'https':proxywapt}

    urlversion = 'http://www.jrsoftware.org/isdl.php'
    page = wgets(urlversion,proxies=proxy)
    bs = BeautifulSoup.BeautifulSoup(page)

    bs_raw_string = str(bs.findAll('tr')[2]).split('innosetup-',1)[1]
    version = bs_raw_string.split('.exe',1)[0]


    url = 'https://mlaan2.home.xs4all.nl/ispack/'

    
    filenamex64 = "innosetup-%s.exe" % version
    url64 = url + filenamex64

    for fileexe in glob.glob('*.exe'):
        if fileexe != filenamex64 :
            print('Delete ' + fileexe)
            remove_file(fileexe)

    if not isfile(filenamex64):
        print('Download ' + url64)
        wget(url64,filenamex64,proxies=proxy)

    control.version = version + '-10'
    control.save_control_to_wapt()

